{* $Id: index.tpl 2352 2008-05-20 00:27:26Z patdenice $ *}
{$MENUBAR}
{php}
if (is_admin())
{
	global $template, $user;
	include_once(PHPWG_ROOT_PATH.'admin/include/functions.php');
	//include_once(PHPWG_ROOT_PATH.'admin/include/plugins.class.php');
	include_once(PHPWG_ROOT_PATH.'template/floPure/tools/version.conf.php');
	include_once(PHPWG_ROOT_PATH.'template/floPure/tools/floPure.class.php');
	load_language('template.lang', PHPWG_ROOT_PATH.'template/floPure/tools/');
	$floPure = new floPure();

    // Retrieve PEM versions
    $version = PHPWG_VERSION;
    $versions_to_check = array();
    $url = PEM_URL . '/api/get_version_list.php?category_id=12&format=php';
    if (fetchRemote($url, $result) and $pem_versions = @unserialize($result))
    {
      if (!preg_match('/^\d+\.\d+\.\d+/', $version))
      {
        $version = $pem_versions[0]['name'];
      }
      $branch = substr($version, 0, strrpos($version, '.'));
      foreach ($pem_versions as $pem_version)
      {
        if (strpos($pem_version['name'], $branch) === 0)
        {
          $versions_to_check[] = $pem_version['id'];
        }
      }
    }
	
	// Retrieve PEM template infos
    $url = PEM_URL . '/api/get_revision_list.php?format=php&last_revision_only=true';
    $url .= '&version=' . implode(',', $versions_to_check);
    //$url .= '&lang=' . substr($user['language'], 0, 2);
	$url .= '&extension_include=135';
    fetchRemote($url, $result);
      $pem_res = @unserialize($result);
	  foreach($pem_res as $pem_floPure)
	  {
      if (!is_array($pem_floPure))
      {
		$template->assign(
			array(
			  'erreur' => 'erreur url : '.$url,
			)
		  );
      }


		if (!$floPure->floPure_version_compare($floPure_conf['version'], $pem_floPure['revision_name']))
		{
			$template->assign(
				array(
				  'test' => '<br />non  jour<br />',
				)
			  );
		}
		else
		{
				$template->assign(
				array(
				  'test' => '<br /> jour<br />',
				)
			  );
		
		}
	  }
	
}

{/php}
{$erreur}
{$test}
{if !empty($PLUGIN_INDEX_CONTENT_BEFORE)}{$PLUGIN_INDEX_CONTENT_BEFORE}{/if}
<div id="content" class="content">
  <table id="table_content" border="0" cellspacing="0" cellpadding="0">
    <tr>
      <td id="section_up_left">&nbsp;</td>
      <td id="section_up">&nbsp;</td>
      <td id="section_up_right">&nbsp;</td>
    </tr>
    <tr>
      <td id="section_left">&nbsp;</td>
      <td id="section_in">
  <div class="titrePage">
    <ul class="categoryActions">
      {if !empty($image_orders) }
      <li>
      {'Sort order'|@translate}:
      <select onchange="document.location = this.options[this.selectedIndex].value;">
        {foreach from=$image_orders item=image_order }
        <option value="{$image_order.URL}"{if $image_order.SELECTED} selected="selected"{/if}>{$image_order.DISPLAY}</option>
        {/foreach}
      </select>
      </li>
      {/if}

      {if isset($U_CADDIE) }
      <li><a href="{$U_CADDIE}" title="{'add to caddie'|@translate}"><img src="{$ROOT_URL}{$themeconf.icon_dir}/caddie_add.png" class="button" alt="{'caddie'|@translate}"/></a></li>
      {/if}

      {if isset($U_EDIT) }
      <li><a href="{$U_EDIT}" title="{'edit category informations'|@translate}"><img src="{$ROOT_URL}{$themeconf.icon_dir}/category_edit.png" class="button" alt="{'edit'|@translate}"/></a></li>
      {/if}

      {if isset($U_SEARCH_RULES) }
      <li><a href="{$U_SEARCH_RULES}" onclick="popuphelp(this.href); return false;" title="{'Search rules'|@translate}" rel="nofollow"><img src="{$ROOT_URL}{$themeconf.icon_dir}/search_rules.png" class="button" alt="(?)" /></a></li>
      {/if}

      {if isset($U_SLIDESHOW) }
      <li><a href="{$U_SLIDESHOW}" title="{'slideshow'|@translate}" rel="nofollow"><img src="{$ROOT_URL}{$themeconf.icon_dir}/start_slideshow.png" class="button" alt="{'slideshow'|@translate}"/></a></li>
      {/if}

      {if isset($U_MODE_FLAT) }
      <li><a href="{$U_MODE_FLAT}" title="{'mode_flat_hint'|@translate}" rel="nofollow"><img src="{$ROOT_URL}{$themeconf.icon_dir}/flat.png" class="button" alt="{'mode_flat_hint'|@translate}" /></a></li>
      {/if}

      {if isset($U_MODE_NORMAL) }
      <li><a href="{$U_MODE_NORMAL}" title="{'mode_normal_hint'|@translate}"><img src="{$ROOT_URL}{$themeconf.icon_dir}/normal_mode.png" class="button" alt="{'mode_normal_hint'|@translate}" /></a></li>
      {/if}

      {if isset($U_MODE_POSTED) }
      <li><a href="{$U_MODE_POSTED}" title="{'mode_posted_hint'|@translate}" rel="nofollow"><img src="{$ROOT_URL}{$themeconf.icon_dir}/calendar.png" class="button" alt="{'mode_posted_hint'|@translate}" /></a></li>
      {/if}
      
      {if isset($U_MODE_CREATED) }
      <li><a href="{$U_MODE_CREATED}" title="{'mode_created_hint'|@translate}" rel="nofollow"><img src="{$ROOT_URL}{$themeconf.icon_dir}/calendar_created.png" class="button" alt="{'mode_created_hint'|@translate}" /></a></li>
      {/if}
      
      {if !empty($PLUGIN_INDEX_ACTIONS)}{$PLUGIN_INDEX_ACTIONS}{/if}
    </ul>

  <h2>{$TITLE}</h2>

  {if isset($chronology_views) }
  <div class="calendarViews">{'calendar_view'|@translate}:
    <select onchange="document.location = this.options[this.selectedIndex].value;">
      {foreach from=$chronology_views item=view}
      <option value="{$view.VALUE}"{if $view.SELECTED} selected="selected"{/if}>{$view.CONTENT}</option>
      {/foreach}
    </select>
  </div>
  {/if}

  {if isset($chronology.TITLE) }
  <h2>{$chronology.TITLE}</h2>
  {/if}

  </div> <!-- titrePage -->

{if !empty($PLUGIN_INDEX_CONTENT_BEGIN)}{$PLUGIN_INDEX_CONTENT_BEGIN}{/if}

{if !empty($category_search_results) }
<div style="font-size:16px;margin:10px 16px">{'Category results for'|@translate} <strong>{$QUERY_SEARCH}</strong> :
  <em><strong>
  {foreach from=$category_search_results item=res name=res_loop}
  {if !$smarty.foreach.res_loop.first} &mdash; {/if}
  {$res}
  {/foreach}
  </strong></em>
</div>
{/if}

{if !empty($tag_search_results) }
<div style="font-size:16px;margin:10px 16px">{'Tag results for'|@translate} <strong>{$QUERY_SEARCH}</strong> :
  <em><strong>
  {foreach from=$tag_search_results item=res name=res_loop}
  {if !$smarty.foreach.res_loop.first} &mdash; {/if}
  {$res}
  {/foreach}
  </strong></em>
</div>
{/if}

{if isset($FILE_CHRONOLOGY_VIEW) }
{include file=$FILE_CHRONOLOGY_VIEW}
{/if}

{if !empty($CATEGORIES) }{$CATEGORIES}{/if}
{if !empty($THUMBNAILS) }{$THUMBNAILS}{/if}


{if !empty($NAV_BAR) }
<div class="navigationBar">
  {$NAV_BAR}
</div>
{/if}

{if !empty($CONTENT_DESCRIPTION) }
<div class="additional_info">
  {$CONTENT_DESCRIPTION}
</div>
{/if}

{if !empty($PLUGIN_INDEX_CONTENT_END) }{$PLUGIN_INDEX_CONTENT_END}{/if}
</td>
	  <td id="section_right">&nbsp;</td>
    </tr>
    <tr>
      <td id="section_bottom_left">&nbsp;</td>
      <td id="section_bottom" >&nbsp;</td>
      <td id="section_bottom_right" >&nbsp;</td>
    </tr>
  </table>
</div> <!-- content -->

{if !empty($PLUGIN_INDEX_CONTENT_AFTER)}{$PLUGIN_INDEX_CONTENT_AFTER}{/if}
